SDL_FlushAudioStream(3)

NAME
SDL_FlushAudioStream - Tell the stream that you're done sending data, and anything being buffered should be converted/resampled and made available immediately.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_FlushAudioStream(SDL_AudioStream *stream);

DESCRIPTION
It is legal to add more data to a stream after flushing, but there may be audio gaps in the output. Generally this is intended to signal the end of input, so the complete output becomes available.

FUNCTION PARAMETERS

stream
    the audio stream to flush.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_PutAudioStreamData(3)